**
**	termTag.asm
**
**	Version tag identification
**
**	Copyright  1990-1995 by Olaf `Olsen' Barthel
**		All Rights Reserved
**

	include	"term_rev.i"

*--------------------------------------------------------------------------

	csect	text,0,0,0,4

	xdef	_VersTag

	xref	_Start

*--------------------------------------------------------------------------

	jmp	_Start

*--------------------------------------------------------------------------

	cnop	0,4

_VersTag:

	dc.b	0,'$VER: '
	VERS
	IFD	BETA
	dc.b	'beta'
	ENDC
	dc.b	' ('
	DATE
	dc.b	')'

	IFD	CPU_ANY
	dc.b	' Generic 68k version'
	ELSE
	dc.b	' 68020/030/040/060 version'
	ENDC

	dc.b	13,10,0

*--------------------------------------------------------------------------

	csect	__MERGED,DATA

	xdef	_TermVersion
	xdef	_TermRevision
	xdef	_TermName
	xdef	_TermDate

*--------------------------------------------------------------------------

_TermVersion:

	dc.l	VERSION

_TermRevision:

	dc.l	REVISION

_TermName:

	VERS
	IFD	BETA
	dc.b	'beta'
	ENDC
	dc.b	0

	cnop	0,4

_TermDate:

	DATE
	dc.b	0

*--------------------------------------------------------------------------
*
*	These lines are actually to make SLINK believe that some kind
*	of startup code will clear the Data/BSS segment before running the
*	main program. Since this is no longer necessary with Kickstart 2.x
*	these two lines will save quite some disk space.
*
*--------------------------------------------------------------------------

	xref	__BSSBAS
	xref	__BSSLEN

	dc.l	__BSSBAS
	dc.l	__BSSLEN

	end
